Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.jmx.export.annotation
Annotation Type ManagedResource

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Inherited
    @Documented
    public @interface ManagedResource

JDK 1.5+ class-level annotation that indicates to register instances of a class with a JMX server, corresponding to the ManagedResource attribute.

Note: This annotation is marked as inherited, allowing for generic management-aware base classes. In such a scenario, it is recommended to not specify an object name value since this would lead to naming collisions in case of multiple subclasses getting registered.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `ManagedResource`

Optional Element Summary
`int` | `currencyTimeLimit`
`java.lang.String` | `description`
`boolean` | `log`
`java.lang.String` | `logFile`
`java.lang.String` | `objectName`
`java.lang.String` | `persistLocation`
`java.lang.String` | `persistName`
`int` | `persistPeriod`
`java.lang.String` | `persistPolicy`
`java.lang.String` | `value` The annotation value is equivalent to the `objectName` attribute, for simple default usage.

### value

    public abstract java.lang.String value

  The annotation value is equivalent to the `objectName` attribute, for simple default usage.

  Default:
    ""

### objectName

    public abstract java.lang.String objectName

  Default:
    ""

### description

    public abstract java.lang.String description

  Default:
    ""

### currencyTimeLimit

    public abstract int currencyTimeLimit

  Default:
    -1

### log

    public abstract boolean log

  Default:
    false

### logFile

    public abstract java.lang.String logFile

  Default:
    ""

### persistPolicy

    public abstract java.lang.String persistPolicy

  Default:
    ""

### persistPeriod

    public abstract int persistPeriod

  Default:
    -1

### persistName

    public abstract java.lang.String persistName

  Default:
    ""

### persistLocation

    public abstract java.lang.String persistLocation

  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT